[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.GetSelectedIndex

Gets the index for the image used for a selected tree node on the control.

## Declaration

Source position: comctrls.pp line 3619

`protected procedure TCustomTreeView.GetSelectedIndex(`
`Node: TTreeNode`
`); virtual;`

## Arguments

`Node` |  | Tree node examine in the method (and possibly updated in the event handler).

## Description

Allows the image index for a selected node to be updated before the node is drawn. Signals the OnGetSelectedIndex event handler (when assigned) where the image index can be determined and stored in the specified tree node.

Called from the DoPaintNode method for any a selected node in the tree view. Use the OnGetImageIndex event handler to get the image index for a node that is not selected.